scala.io

# Source

#### object Source

This object provides convenience methods to create an iterable representation of a source file.

Source
  Source.scala
Version

  1.0, 19/08/2004

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Source
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val DefaultBufSize: Int

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def createBufferedSource(inputStream: InputStream, bufferSize: Int = DefaultBufSize, reset: () ⇒ Source = null, close: () ⇒ Unit = null)(implicit codec: Codec): BufferedSource

   Reads data from inputStream with a buffered reader, using the encoding in implicit parameter codec.

   Reads data from inputStream with a buffered reader, using the encoding in implicit parameter codec.

   inputStream

     the input stream from which to read

   bufferSize

     buffer size (defaults to Source.DefaultBufSize)

   reset

     a () => Source which resets the stream (if unset, reset() will throw an Exception)

   close

     a () => Unit method which closes the stream (if unset, close() will do nothing)

   codec

     (implicit) a scala.io.Codec specifying behavior (defaults to Codec.default)

   returns

     the buffered source

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def fromBytes(bytes: Array[Byte], enc: String): Source

12. #### def fromBytes(bytes: Array[Byte])(implicit codec: Codec): Source

    Create a `Source` from array of bytes, decoding the bytes according to codec.

    Create a `Source` from array of bytes, decoding the bytes according to codec.

    returns

      the created `Source` instance.

13. #### def fromChar(c: Char): Source

    Creates a Source instance from a single character.

14. #### def fromChars(chars: Array[Char]): Source

    creates Source from array of characters, with empty description.

15. #### def fromFile(file: File, bufferSize: Int)(implicit codec: Codec): BufferedSource

    Creates Source from `file`, using given character encoding, setting its description to filename.

    Creates Source from `file`, using given character encoding, setting its description to filename. Input is buffered in a buffer of size `bufferSize`.

16. #### def fromFile(file: File, enc: String, bufferSize: Int): BufferedSource

17. #### def fromFile(file: File, enc: String): BufferedSource

    same as fromFile(file, enc, Source.DefaultBufSize)

18. #### def fromFile(file: File)(implicit codec: Codec): BufferedSource

    creates Source from file, using default character encoding, setting its description to filename.

19. #### def fromFile(uri: URI, enc: String): BufferedSource

    creates Source from file with given file: URI

20. #### def fromFile(uri: URI)(implicit codec: Codec): BufferedSource

    creates `ource` from file with given file `URI`.

21. #### def fromFile(name: String, enc: String): BufferedSource

    creates Source from file with given name, using given encoding, setting its description to filename.

22. #### def fromFile(name: String)(implicit codec: Codec): BufferedSource

    creates Source from file with given name, setting its description to filename.

23. #### def fromInputStream(is: InputStream)(implicit codec: Codec): BufferedSource

24. #### def fromInputStream(is: InputStream, enc: String): BufferedSource

25. #### def fromIterable(iterable: Iterable[Char]): Source

    Creates a Source from an Iterable.

    Creates a Source from an Iterable.

    iterable

      the Iterable

    returns

      the Source

26. #### def fromRawBytes(bytes: Array[Byte]): Source

    Create a `Source` from array of bytes, assuming one byte per character (ISO-8859-1 encoding.)

27. #### def fromString(s: String): Source

    creates Source from a String, with no description.

28. #### def fromURI(uri: URI)(implicit codec: Codec): BufferedSource

    creates `Source` from file with given file: URI

29. #### def fromURL(url: URL)(implicit codec: Codec): BufferedSource

    same as fromInputStream(url.openStream())(codec)

30. #### def fromURL(url: URL, enc: String): BufferedSource

    same as fromInputStream(url.openStream())(Codec(enc))

31. #### def fromURL(s: String)(implicit codec: Codec): BufferedSource

    same as fromURL(new URL(s))

32. #### def fromURL(s: String, enc: String): BufferedSource

    same as fromURL(new URL(s))(Codec(enc))

33. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

34. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

35. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### def stdin: BufferedSource

    Creates a `Source` from System.in.

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped